﻿-- =================================
-- 03 - import přes pgAdmin
-- =================================

-- Zrušíme tabulku v případě, že již existuje
drop table if exists ui_vusc;

-- Vytvoříme tabuku
create table ui_vusc
(kod integer primary key,
 nazev text not null unique,
 regsoudr_kod integer not null,
 nuts_lau char(5) not null unique,
 plati_od text not null,
 plati_do text,
 datum_vzniku text not null);

 -- importují se data přes pgAdmina

 -- kontrolní vypis
 select * from ui_vusc;

 -- Nutno zmenit plati_od,plati_do,datum_vzniku na date

 -- 1. Vytvoříme nové sloupce v tabulce
 -- (Třetí sloupec protože neobsahuje data budeme s nim dělat jinak.)
 alter table ui_vusc add column plati_od1 date;
 alter table ui_vusc add column datum_vzniku1 date;


 -- Aktualizujeme data
update ui_vusc
  set plati_od1 = to_date(plati_od,'DD.MM.YYYY'),
      datum_vzniku1 = to_date(datum_vzniku,'DD.MM.YYYY');

      
 -- Zkontrolujeme vypisem
 select * from ui_vusc;

-- Vymazeme puvodni sloupce
alter table ui_vusc drop column plati_od;
alter table ui_vusc drop column plati_do;
alter table ui_vusc drop column datum_vzniku;

-- Prejmenujeme nove vytvorene sloupce
 alter table ui_vusc rename column plati_od1 to plati_od;
 alter table ui_vusc rename column datum_vzniku1 to datum_vzniku;

 -- Vytvorime novy sloupec plati_do
 alter table ui_vusc add column plati_do date;

-- Doplnime not null pro zabespeceni integrity dat
alter table ui_vusc alter column plati_od set not null;
alter table ui_vusc alter column datum_vzniku set not null;



 

 
