﻿-- =================================
-- 04 - import přes /copy
-- =================================

-- Zrušíme tabulku v případě, že již existuje
drop table if exists ui_orp;

-- Vytvoříme tabuku
create table ui_orp
(kod integer primary key,
 nazev text not null unique,
 spravni_obec_kod integer not null,
 vusc_kod integer not null,
 plati_od text not null,
 plati_do text,
 datum_vzniku text not null);

 -- importují se data přes /copy
 /*
\copy ui_orp from 'c:/temp/ui_orp.csv' with delimiter ';' csv header;
 */

 -- kontrolní vypis
 select * from ui_orp;

 -- Nutno zmenit plati_od,plati_do,datum_vzniku na date

 -- 1. Vytvoříme nové sloupce v tabulce
 -- (Třetí sloupec protože neobsahuje data budeme s nim dělat jinak.)
 alter table ui_orp add column plati_od1 date;
 alter table ui_orp add column datum_vzniku1 date;


 -- Aktualizujeme data
update ui_orp
  set plati_od1 = to_date(plati_od,'DD.MM.YYYY'),
      datum_vzniku1 = to_date(datum_vzniku,'DD.MM.YYYY');

      
 -- Zkontrolujeme vypisem
 select * from ui_orp;

-- Vymazeme puvodni sloupce
alter table ui_orp drop column plati_od;
alter table ui_orp drop column plati_do;
alter table ui_orp drop column datum_vzniku;

-- Prejmenujeme nove vytvorene sloupce
 alter table ui_orp rename column plati_od1 to plati_od;
 alter table ui_orp rename column datum_vzniku1 to datum_vzniku;

 -- Vytvorime novy sloupec plati_do
 alter table ui_orp add column plati_do date;

-- Doplnime not null pro zabespeceni integrity dat
alter table ui_orp alter column plati_od set not null;
alter table ui_orp alter column datum_vzniku set not null;



 

 
