﻿-- ==============================================
-- 07 Priprava dat pro db referenci 
-- ==============================================
-- NESPOUSTET !!!

-- Zrušíme tabulku v případě, že již existuje
drop table if exists ui_pou;

-- Vytvoříme tabuku
create table ui_pou
(kod integer primary key,
 nazev text not null unique,
 orp_kod integer not null,
 spravni_obec_kod integer not null,
 plati_od text not null,
 plati_do text,
 datum_vzniku text not null);


  -- importují se data přes /copy
  -- Pozor nutno spoustet po linuxem jinak problem s prevodem
  
 /*
\copy ui_pou from 'c:/temp/ui_pou.csv' with delimiter ';' csv header;
 */

 -- 1. Vytvoříme nové sloupce v tabulce
 -- (Třetí sloupec protože neobsahuje data budeme s nim dělat jinak.)
 alter table ui_pou add column plati_od1 date;
 alter table ui_pou add column datum_vzniku1 date;


 -- Aktualizujeme data
update ui_pou
  set plati_od1 = to_date(plati_od,'DD.MM.YYYY'),
      datum_vzniku1 = to_date(datum_vzniku,'DD.MM.YYYY');

      
 -- Zkontrolujeme vypisem
 select * from ui_pou;

-- Vymazeme puvodni sloupce
alter table ui_pou drop column plati_od;
alter table ui_pou drop column plati_do;
alter table ui_pou drop column datum_vzniku;

-- Prejmenujeme nove vytvorene sloupce
 alter table ui_pou rename column plati_od1 to plati_od;
 alter table ui_pou rename column datum_vzniku1 to datum_vzniku;

 -- Vytvorime novy sloupec plati_do
 alter table ui_pou add column plati_do date;

-- Doplnime not null pro zabespeceni integrity dat
alter table ui_pou alter column plati_od set not null;
alter table ui_pou alter column datum_vzniku set not null;


